%bcond_without dotests

%global __tar /opt/freeware/bin/tar

%global py_minor 17

%global py_major 3.9

%global python_major python%{py_major}

%global srcname urllib3 

%global pkgname urllib3 

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        2.0.7 
Release:        1
Summary:        HTTP library with thread-safe connection pooling, file post, and more 
License:        MIT 
URL:            https://github.com/urllib3/urllib3 
Source0:        https://files.pythonhosted.org/packages/source/u/%{pkgname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}
BuildRequires:  ca-certificates >= 2023.2.60-2
Requires:       ca-certificates >= 2023.2.60-2

%description
Highlights

- Re-use the same socket connection for multiple requests
  (HTTPConnectionPool and HTTPSConnectionPool)
  (with optional client-side certificate verification).
- File posting (encode_multipart_formdata).
- Built-in redirection and retries (optional).
- Supports gzip and deflate decoding.
- Thread-safe and sanity-safe.
- Works with AppEngine, gevent, and eventlib.
- Tested on Python 2.6+ and Python 3.3+, 100% unit test coverage.
- Small and easy to understand codebase perfect for extending and building upon.
  For a more comprehensive solution, have a look at
  Requests which is also powered by urllib3.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}
Requires:       ca-certificates >= 2023.2.60-2


%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{srcname}-%{version}


%build
#NOTHING TO DO

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} -m pip install . --root %{buildroot} -I --no-deps


%check
%if %{with dotests}

#NOTE:#NOTHING TO DO, as inbuilt cases requires rust compiler. 
%endif


%files
%defattr(-,root,system,-)
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)


%changelog
* Wed Jan 31 2024 Harshith K A <harshith.k.a@ibm.com> - 2.0.7-1
- Update to fix for CVE-2023-45803 & CVE-2023-43804

* Mon Dec 18 2023 Harshith K A <harshith.k.a@ibm.com> - 2.0.6-1
- Upadte to fix for CVE-2023-43804 & CVE-2023-45803 

* Mon Oct 16 2023 Sangeetha Bandi <sanbandi@in.ibm.com> - 2.0.4-1
- Update to 2.0.4, dependency for salt 3006.2

* Mon Feb 27 2023 Sangeetha Bandi <sanbandi@in.ibm.com> - 1.26.7-2
- urllib3 for python3.9

* Mon Oct 11 2021 Sushree Das <sushree.das@ibm.com> - 1.26.7-1
- Update to latest version 1.26.7, Fix for CVE-2021-33503, CVE-2020-26137

* Sat Nov 16 2019 Baanu Tumma <btumma15@in.ibm.com> - 1.25.7-1
- First version for AIX, built using python3

